-- $Name: Время выживать$
-- автор: Дударь Дмитрий, 2011
instead_version "1.3.1"
game.codepage="UTF-8";
game.act = 'Не получается.';
game.inv = 'Гм.. Странная штука..';
game.use = 'Нет, так не получится.';

global {
pas1 = 0; pas2 = 0; pas3 = 0;
q1 = 0;
q2 = 0;
q3 = 0;
q4 = 0;
q5 = 0;
}

main = room {
    pic = 'data/1.jpg',
	forcedsc = true;
	nam = "Время выживать";
	dsc = [[Город захватил вирус, превращающий людей в зомби. 
	Нам удалось выжить. Мы спрятались в заброшенном особняке на окраине города.
	Нас четверо: силач Майкл, ловкая Джулия, умная Кейт и я, Ричард. Этой ночью 
	мы собирались веселиться до утра, но теперь... что с нами будет?
	Удастся ли нам спастись? Время покажет.]];
	obj = {vway("a1", "Начать {приключение}.", 'loc1')
	},
	enter = function()
		set_music('data/1.ogg');
	end,
};
loc1 = room {
    pic = 'data/2.jpg',
	forcedsc = true;
	nam = "Вступление";
	dsc = [[Мы бежали, выбиваясь из сил.  Где-то там, во тьме, нас 
	преследовали монстры. Увидев высокие стены частных владений, мы подумали,
	что нас загнали в тупик, но внезапно входные ворота со скрипом разъехались,
	впуская нас внутрь. И так же со скрипом закрылись, отрезая нас от волны мертвецов.
	^- Это похоже на подарок судьбы, - сказала Кейт, пытаясь отдышаться.
	^- Или на смертельную ловушку, - Джулия c тревогой осматривала сад, в котором мы оказались.
	^- По крайней мере, у нас есть немного времени. Они не смогут быстро вышибить эти ворота, - 
	подвёл итог Майкл.]];
	obj = {vway("a1", "Мы направились ко {входу} в особняк.", 'loc2')
	},
    enter = function()
		set_music('data/3.ogg');
	end,
};
loc2 = room {
    pic = 'data/3.jpg',
	forcedsc = true;
	nam = "Глава 1: Зловещий сад";
	dsc = [[Входные двери оказались заперты. Вокруг царило запустение.
	^- Похоже, здесь давно никто не живёт, - произнесла Джулия.
	^- Но на тех воротах был электронный замок! Значит, кто-то нас впустил, - возразил Майкл.
	^- Или играет с нами в кошки-мышки, - ответил я ему.
	^-В любом случае, мы должны попасть внутрь. И надо держаться вместе, 
	давайте осмотрим сад, - предложила Кейт. ]];
	obj = {vway("a1", "Мы начали {поиски}.", 'loc3')
	},
};
door = obj {
	nam = 'Дверь';
	dsc = 'Я смотрел на масивную входную {дверь}.';
	act = 'Дверь закрыта. Надо найти способ проникнуть внутрь.';
	used = function(s,w)
	if w == key1 then p[[Ключ не подошёл.]];end;
	end;
};
loc3 = room {
    pic = 'data/4.jpg',
	nam = "Перед входом";
	obj = {door,
	vway("a1", "Я мог идти к {воротам}, ", 'loc4'),
	vway("a2", "по тропинке {налево}", 'loc8'),
	vway("a3", "или {отправиться} в глубь сада. ", 'loc5')
	},
	 enter = function()
		set_music('data/2.ogg');
	end,
};
gates = obj {
	nam = 'Ворота';
	dsc = 'Массивные железные {ворота} сдерживали атаки мертвецов.';
	act = [[Между прутьями решётки двигались тени. Зомби обрушивали тяжёлые удары 
	на ворота. Жажда крови заставляла их выть от ярости.]];
};
syg = obj {
	nam = 'пачка сигарет';
    inv = [[В пачке осталась последняя сигарета. На упаковке написано "курение убивает".]];
};
mike1 = obj {
	nam = 'Майкл у ворот';
	dsc = 'Рядом стоял {Майкл}.';
	act = function(s)
	if q1 == 0 then 
	p[[- Майкл, всё в порядке?
	^- Эти твари... откуда они только взялись?
	^- Кто его знает. Может, атака террористов?
	^-Эти ублюдки ещё получат своё. Мы так просто не сдадимся!]];
	q1 = 1;
	 else if q1 == 1 then
	p[[- Майкл, нашёл что-нибудь?
	^- В кустах валялась пачка сигарет. Возьми, пригодится. 
	^- Спасибо. Пока мы вместе, у нас есть надежда.]];
	q1 = 2; inv():add('syg');
	 else if q1 == 2 then
	p[[- Майкл, что собираешься делать?
	^- Хочу пройтись вокруг особняка.
	^- Тогда будь осторожен.]]; 
	 end;end;end;
	 
	end;
};
loc4 = room {
    pic = 'data/2.jpg',
	nam = "Перед воротами";
	obj = {gates,mike1,
	vway("a1", "Я мог вернуться ко {входу} в особняк. ", 'loc3'),
	},
    enter = function()
		set_music('data/3.ogg');
	end,
};
july1 = obj {
    nam = 'Джулия';
	dsc = 'На скамейке перед оранжереей сидела {Джулия}.';
	act = function()
	if q2 == 0 then
	p[[- Как себя чувствуешь, Джулия?
	  ^- Нечто среднее между паникой и отчаянием.
	  ^- Попытайся успокоиться. Чем-нибудь помочь?
	  ^- У меня закончились сигареты. Поделишься, Рич?]];
	else p[[- Не волнуйся, Джулия. Всё будет хорошо.
	^- Как думаешь, Ричард, мы переживём эту ночь?
	^- Я уверен, мы справимся. Главное - не сдаваться.]];end; 
	end;
	used = function(s,w)
	if w == syg then
	q2 = 1;
	p[[- Спасибо, Ричард. Как раз то, что мне сейчас нужно.
	^- Для такой красотки всё, что угодно.
	^Джулия попыталась зажечь сигарету, но у неё ничего не вышло:
	"Рич, попробуй ты. Эта чёртова зажигалка мне больше не подчиняется."
	Я взял зажигалку и дал Джулии прикурить. Джулия подмигнула мне и затянулась. 
	^- Рич, ты просто мой спаситель.]];inv():add('fire');inv():del('syg'); 
	end;
	end;
};
fire = obj {
	nam = 'зажигалка';
    inv = [[Обыкновенная кремниевая зажигалка.]];
};
loc5 = room {
    pic = 'data/5.jpg',
	nam = "Перед оранжереей";
	obj = {july1,
	vway("a1", "Я мог вернуться ко {входу} в особняк ", 'loc3'),
	vway("a1", "или войти в {оранжерею}. ", 'loc6'),
	},
};
st1 = obj {
	nam = 'первая статуя';
    dsc = [[В центре оранжереи возвышалась мраморная {статуя}.]];
    act = 'Я прочитал табличку: ^"Гея - богиня прошлого (4 век до н.э.)"';
};
kate1 = obj {
	nam = 'Кейт1';
    dsc = [[Рядом стояла {Кейт}.]];
    act = function()
    if q3 == 1 then p[[- Как рука, Кейт? ^- Всё в порядке, можешь не беспокоиться.]];
    else q3 = 1;
    goto('loc7');
    end;
    
    end;
};
loc6 = room {
    pic = 'data/6.jpg',
	nam = "Оранжерея";
	obj = {st1,kate1,
	vway("a1", "Я мог {покинуть} оранжерею. ", 'loc5'),
	},
    enter = function()
		set_music('data/2.ogg');
	end,
};
key1 = obj {
	nam = 'ключ ворона';
    inv = [[Небольшой медный ключ.]];
};
loc7 = room {
    pic = 'data/7.jpg',
	nam = "Оранжерея";
	dsc = [[- Кейт, что ты здесь делаешь?
	^- Видишь, под крышей гнездо? Там что-то блестит. Подними меня, я
	проверю.
	^Кейт встала мне на плечи и просунула руку в гнездо. Внезапно с потолка 
	оранжереи на нас бросился ворон. Кейт закричала и упала на дорожку. 
	Ворон противно каркнул и вылетел через разбитое стекло наружу.
	^- Кейт, ты цела? ^- В норме, эта тварь лишь поцарапала когтями мою руку. 
	Зато смотри, что я нашла! 
	^Кейт протянула мне ржавый медный ключ. Я обнял её.
	^- Кейт, дурочка, не надо больше так рисковать.]];
	obj = {
	vway("a1", "Она лишь улыбнулась в {ответ}.", 'loc6'),
	},
    enter = function()
        inv():add('key1');
	 	set_music('data/4.ogg');
	 	set_sound('data/11.ogg');
	end,
};
door2 = obj {
	nam = 'сарай';
	dsc = [[Во тьме парка затаился небольшой {сарай}.]];
	act = function()
	if q4 == 0 then p[[На двери висел ржавый замок.]];
	else goto('loc9');end;
	end;
	used = function(s,w)
	if w == key1 then
	p[[К моему удивлению, навесной замок щёлкнул и упал в траву.]];
	q4 = 1;inv():del('key1');end;
	end;
};
loc8 = room {
    pic = 'data/8.jpg',
	nam = "Парк";
	obj = {door2,
	vway("a1", "Я мог вернуться ко {входу} в особняк. ", 'loc3'),
	},
    enter = function()
		set_music('data/2.ogg');
		if q4 == 2 then goto('loc10');end;
	end,
};
axe = obj{
      nam = 'топор';
      inv = 'Топор - хорошее оружие.';
      dsc = [[В тусклом свете фонаря я увидел {топор}, прислонённый к стене. ]];
      tak = [[Я взял топор.]];
};
fon = obj {
	nam = 'фонарь';
    dsc = [[Через маленькое окошко в сарай проникал лунный свет. На стене висел керосиновый {фонарь}.]];
    act = function(s)
    if q5 == 0 then p[[Его можно зажечь.]];
    else p[[Тусклый свет фонаря освещал дальний угол сарая.]];end;
    end;
    used = function(s,w)
    if w == fire then q5 = 1;
    p[[Я зажёг фонарь.]]; 
    objs():add('axe',3);
    inv():del('fire');
    end;
    end;
};
loc9 = room {
    pic = 'data/9.jpg',
	nam = "Сарай";
	obj = {fon,
	vway("a1", "Я мог {выйти} из сарая. ", 'loc8'),
	},
    enter = function()
    q4 = 2; p[[Где-то вдалеке завыла собака.]];
		set_music('data/2.ogg');
		set_sound('data/10.ogg');
	end,
};
loc10 = room {
    pic = 'data/8.jpg',
	nam = "Парк";
	dsc = [[Я услышал шорохи и вздрогнул. Из кустов появился Майкл.
	^- Не делай так больше, Майкл, ты здорово меня напугал.
	^- Я обошёл дом вокруг. На всех окнах первого этажа решётки,
	но я нашёл низкий балкончик, мы сможем забраться на него. Там окно открыто!
	^- Это отличная новость, надо сообщить девчонкам!]];
	obj = {
	vway("a1", "Мы побежали к {оранжерее}. ", 'loc11'),
	},
    enter = function()
		set_music('data/4.ogg');
	end,
};
dog  = obj{
     nam = 'собака';
     dsc = [[Внезапно на дорогу выскочила уродливая {тварь}, похожая на собаку. 
	Она яростно зарычала, готовясь к прыжку.]];
     act = function() 
     q1 = 1;
     goto('end1');end;
     used = function(s,w)
     inv():del('axe');
     q1 = 0; q2 = 0; q3 = 0; q4 = 0; q5 = 0;
     goto('loc12');
     end;
};
end1 = room {
    pic = 'data/3.jpg',
	nam = "Конец";
	dsc = function()
	if q1 == 1 then
	p[[Собака накинулась на меня и перегрызла горло. На этом моя история закончилась.]];end;
	if q1 == 2 then
	p[[Стервятник вонзил в меня острый клюв и разорвал на части. На этом моя история закончилась.]];end;
	if q1 == 3 then
	p[[Пароль оказался неверным. Из вентиляции пошёл ядовитый газ. На этом наша история закончилась.]];end;
	if q1 == 4 then
	p[[Я не смог ничего сделать. Молниеносным ударом чудовище снесло мне голову. 
	На этом моя история закончилась.]];end;
	end;
	used = function(s,w)
	dsc = '111';
	end;
    enter = function()
        inv():del('axe');
		set_music('data/6.ogg');
	end,
};
loc11 = room {
    pic = 'data/10.jpg',
	nam = "Парк";
	dsc = [[]];
	obj = {dog};
    enter = function()
		set_music('data/5.ogg');
	end,
};
loc12 = room {
    pic = 'data/8.jpg',
	nam = "Парк";
	dsc = [[Сильным ударом я прикончил собаку. Тварь рухнула, заливая асфальт кровью. 
	Топор застрял у неё в голове. Майкл присвистнул: "Ричард, а ты крут. 
	Я не ожидал от тебя такого." На звуки борьбы прибежали девушки: "О, Боже, что это?"
	^- Ричард только что спас наши жизни, - ответил Майкл, ^- а теперь пошли, я нашёл способ
	 пробраться в особняк."]];
	obj = {vway("a1", "Мы пошли вслед за {Майклом}. ", 'loc13'),
	
	};
    enter = function()
		set_music('data/1.ogg');
	end,
};
loc13 = room {
    pic = 'data/3.jpg',
	nam = "Глава 2: Заброшенный особняк";
	dsc = [[Ворота с треском рухнули. Мертвецы ворвались в сад. В это 
	время мы забирались на балкон. Подсадив сначала Майкла, я помог девчонкам, 
	после этого они втянули меня наверх. Мы влезли в окно. Теперь нам надо было подать 
	сигнал о помощи. Мы были уверены, что нас спасут.]];
	obj = {vway("a1", "Мы стали исследовать {особняк}.", 'loc14'),
	};
	enter = function()
		set_music('data/1.ogg');
	end,
};
loc14 = room {
    pic = function()
    if q5 == 1 then return('data/20.jpg');else return('data/12.jpg');end;
    end;
	nam = "Второй этаж, коридор";
	obj = {vway("a1", "Левая дверь вела в {детскую}, ", 'loc18'),
	vway("a1", "правая -  в {гостиную}. ", 'loc19'),
	vway("a1", "^Также я мог спуститься по лестнице {вниз}. ", 'loc15'),
	};
	enter = function()
		set_music('data/8.ogg');
		if (q4 > 0) and (q5 == 0) then goto('loc20'); end;
	end,
};
lift = obj{
nam = 'лифт';
dsc = [[Я стоял перед {лифтом}.]];
act =[[Лифт не работал.]];
};
st2 = obj {
	nam = 'первая статуя';
    dsc = [[У стены я заметил мраморную {статую}.]];
    act = 'Я прочитал табличку: ^"Диана - богиня настоящего (7 век до н.э.)"';
};
loc15 = room {
    pic = 'data/13.jpg',
	nam = "Первый этаж, холл";
	obj = {lift,
	vway("a1", "^Левая дверь вела в {прихожую}, ", 'loc16'),
	vway("a1", "правая -  в {спальню}. ", 'loc17'),
	vway("a1", "Также я мог подняться по лестнице {наверх}.", 'loc14'),
	};
	enter = function()
		set_music('data/8.ogg');
	end,
};
door3 = obj {
	nam = 'дверь';
    dsc = [[Входная {дверь} была забаррикадирована.]];
    act = 'Дверь скрежетала под натиском зомби, но пока не поддавалась.';
};
bat = obj{
    nam = 'батарейки';
    inv = 'Две толстые батарейки. Хороший источник энергии.';
    used = function(s,w)
    if w == pult then 
    inv():del('pult');
    inv():del('bat');
    inv():add('pult1');
    p[[Я вставил в пульт батарейки.]];
    end;
    end;
};
mike2 = obj {
	nam = 'Майкл';
    dsc = [[Рядом стоял {Майкл}.]];
    act = function()
    if q1 == 0 then q1 = 1;
    p[[- Майкл,тебе помочь?
    ^- Я надёжно забаррикадировал дверь. Теперь у нас есть несколько часов.]]; 
    else if q1 == 1 then 
    q1 = 2; inv():add('bat');
    p[[- Майкл, как успехи?
    ^- Я нашёл в гардеробе батарейки. Возьми, лишними не будут. ]];
    else
    p[[- Ричард, а что делаешь ты? - спросил меня Майкл.
    ^- Я хочу подать сигнал о помощи. Правда, пока не знаю, как это сделать, - ответил я ему.]]; 
    end;
    end;
    end;
};
loc16 = room {
    pic = 'data/14.jpg',
	nam = "Прихожая";
	obj = {door3,mike2,st2,
	vway("a1", "Я мог вернуться обратно в {холл}.", 'loc15'),
	};
	enter = function()
		set_music('data/3.ogg');
	end,
};
pick = obj {
	nam = 'заколка';
    inv = 'Длинная зелёная заколка. ';
};
kate2 = obj {
	nam = 'кейт2';
    dsc = [[На полу лежала {Кейт}.]];
    act = function()
    if q2 == 0 then q2 = 1; inv():add('pick');
    p[[- Кейт, тебе плохо?
    ^- Та птица... кажется, я заразилась.
    ^- Чёрт, это я во всём виноват!
    ^- Возьми эту заколку, Рич. Храни её на память обо мне.]];
    else p[[- Рич, я нехочу умирать. Неужели я тоже стану зомби?
    ^-Не говори так, Кейт. Я не дам тебе умереть. Я что-нибудь придумаю.]];
    end;  
    end;
   used = function(s,w)
   if w == cure1 then
    goto('help1');  end;
   end; 
};
help1 = room {
    pic = 'data/18.jpg',
	nam = "Спальня";
	obj = {
	vway("a1", [[Я сделал Кейт укол в вену. Она потеряла сознание. Я думал, что убил её, 
   но через несколько минут Кейт пришла в себя. 
   ^- Кажется, вирус отступил... ты спас меня, я...
   ^- Кейт, я тоже тебя люблю. И мы всегда будем вместе, даже не сомневайся в этом.
   ^- Знаешь, Ричард, пока я лежала, заметила кнопку на стене.
   ^- Смотри-ка, точно... - я отодвинул картину и нажал {кнопку}.]], 'loc21'),
	};
	enter = function()
	    inv():del('cure1');
	set_music('data/6.ogg');
	
	end,
};
loc17 = room {
    pic = 'data/11.jpg',
	nam = "Спальня";
	obj = {kate2,
	vway("a1", "Я мог вернуться обратно в {холл}.", 'loc15'),
	};
	enter = function()
		set_music('data/7.ogg');
	end,
};
pult1 = obj {
	nam = 'пульт управления';
    inv = 'Пульт управления готов к работе.';
};
pult = obj {
	nam = 'пульт управления';
	dsc =[[Рядом лежал {пульт управления}.]];
	tak = 'Я взял пульт управления игрушечной железной дорогой.';
    inv = 'Пульт управления не работает. В нём нет батареек.';
    used = function(s,w)
    if w == bat then 
    inv():del('pult');
    inv():del('bat');
    inv():add('pult1');
    objs('loc18'):del('pult');
    p[[Я вставил в пульт батарейки.]];
    end;
    end;
};
cure1 = obj{
    nam = 'шприц';
    inv = 'Шприц наполнен бесцветной жидкостью.';
};
case1 = obj {
	nam = 'футляр';
    inv = function() inv():del('case1'); inv():add('cure1');
    p[[На футляре было написано "Вакцина". Я достал оттуда наполненный шприц.]];
    end;
};
road = obj {
	nam = 'железная дорога';
    dsc = 'На столе была установлена игрушечная {железная дорога}.';
    act = function()
    if q4 == 0 then p[[Паравоз готов отправиться в путь. Осталось лишь только подать сигнал.]];
    else if q4 == 1 then p[[В столе открылась ниша. Я достал оттуда футляр.]]; 
    inv():add('case1'); q4 = 2;
    else p[[Паровозик продолжал двигаться по кругу.]];end;
    end;
    end;
    used = function(s,w)
    if w == pult1 then 
    inv():del('pult1');
    p[[Паровозик поехал по кругу. За дверью послышался звук разбитого стекла.]];
    set_music('data/4.ogg'); q4 = 1;
    set_sound('data/9.ogg');
    end;
    end;
};
loc18 = room {
    pic = 'data/15.jpg',
	nam = "Детская";
	obj = {road,pult,
	vway("a1", "Я мог вернуться обратно в {коридор}.", 'loc14'),
	};
	enter = function()
		set_music('data/7.ogg');
	end,
};
shotgun1 = obj {
	nam = 'ружье';
    inv = 'Ружье заряжено дробью.';
};
shotgun = obj {
	nam = 'ружье';
    inv = 'Ружье не заряжено.';
    used = function(s,w)
    if w == shells then 
    inv():del('shells');
    inv():del('shotgun');
    inv():add('shotgun1');
    p[[Я зарядил ружье.]];
    end;
    end;
};
shells = obj{
    nam = 'патроны';
    inv = 'Патроны с дробью.';
    used = function(s,w)
    if w == shotgun then 
    inv():del('shells');
    inv():del('shotgun');
    inv():add('shotgun1');
    p[[Я зарядил ружье.]];
    end;
    end;
};
shcaf = obj {
	nam = 'шкаф';
    dsc = 'В углу гостиной стоял массивный {шкаф}.';
    used = function(s,w)
    if w == pick then p[[Я не специалист по взлому.]];end;
    end;
    act = function()
    if q3 == 0 then p[[Шкаф закрыт на замок.]];
    else if q3 == 1 then 
    q3 = 2; inv():add('shotgun'); inv():add('shells');
    p[[Я достал из шкафа ружье и патроны.]]; 
    else p[[Шкаф пуст. Больше там ничего нет.]];end;
    end;
    end;
};
july2 = obj {
	nam = 'Джулия';
    dsc = '^{Джулия} рассматривала аквариум с рыбками.';
    act = function()
    if q3 == 0 then p[[- Видишь шкаф, Рич? Я смогу его открыть. Там простой замок.  У
     тебя есть нечто вроде отмычки?]];
     else p[[- Джулия, откуда в тебе столько талантов?
     ^- Я не хочу быть тупой блондинкой. Вот и весь секрет.]];
     end;
    end;
    used = function(s,w) 
    if w == pick then p[[- Это подойдёт, - сказала Джулия. Через несколько минут замок поддался. 
    Джулия воскликнула: - Рич, получилось!]]; inv():del('pick'); q3 = 1; end;
    end;
};
loc19 = room {
    pic = 'data/16.jpg',
	nam = "Гостиная";
	obj = {shcaf,july2,
	vway("a1", "Я мог вернуться обратно в {коридор}.", 'loc14'),
	};
	enter = function()
		set_music('data/7.ogg');
	end,
};
raven = obj {
	nam = 'ворон';
    dsc = [[Через разбитое окно в коридор ворвалась крылатая {тварь}. 
    Издав дикий клич, она ринулась в атаку.]];
    act = function() 
    inv():del(shotgun); inv():del(shotgun1); inv():del(shells); inv():del(pick);
    q1 = 2; goto('end1');
    end;
    used = function(s,w)
    if w == shotgun1 then q5 = 1;set_sound('data/12.ogg');
    p[[Прогремел выстрел. Голова стервятника лопнула, заливая стены кровью.]];
    inv():del('shotgun1'); goto('loc14');end;
    end;
};
loc20 = room {
    pic = 'data/17.jpg',
	nam = "Второй этаж, коридор";
	obj = {raven,};
	enter = function()
		set_music('data/5.ogg');
	end,
};



loc21 = room {
    pic = 'data/19.jpg',
	nam = "Секретная комната";
	obj = {vway("a1", [[В стене открылся проход. Мы позвали остальных и вошли 
	в секретную комнату. Увидев радиопередатчик, Майкл включил его и попытался 
	поймать сигнал. "Джонсон, это ты? Почему так долго не выходишь на связь?" - донеслось из 
    динамиков. Майкл вступил в разговор:"Говорит Майкл! Нас четверо выживших, 
    мы просим о помощи!" После долгой паузы мы услышали {ответ}.]], 'loc22'),
	};
};
loc22 = room {
    pic = 'data/19.jpg',
	nam = "Секретная комната";
	obj = {vway("a1", [[- Хорошо, ребятки, меня зовут 
агент Форд. Я на крыше особняка, и у меня есть вертолёт. Если вы принесёте мне кейс
 с данными, я заберу вас. Но если не получилось у Джонсона, то шансы у вас малы. Конец связи.
 ^Сигнал исчез. Мы в растерянности смотрели друг на друга. 
 ^-На крыше вертолёт? Но как нам туда попасть?
 ^-Мы подключим лифт! - Джулия указала на {рубильник} в углу.]], 'loc23'),
	};
	enter = function()
	set_music('data/1.ogg');
	end,
};
loc23 = room {
    pic = 'data/14.jpg',
	nam = "Прихожая";
	obj = {vway("a1", [[Двери с треском проломились. Зомби хлынули в особняк, но 
	мы уже забрались в лифт. Я нажал кнопку, и он начал подниматься {вверх}.]], 'loc24'),
	};
	enter = function()
	set_music('data/1.ogg');
	end,
};
loc24 = room {
    pic = 'data/21.jpg',
	nam = "Глава 3: Жуткое подземелье";
	obj = {vway("a1", [[Внезапно лифт остановился. Потом полетел вниз.
	Майкл успел нажать кнопку аварийной остановки, и лифт со скрежетом отсановился. 
	Открыв двери, мы выбрались через узкий проём. И оказались в {подземелье}.]], 'loc25'),
	};
	enter = function()
	set_music('data/4.ogg');
	q1 = 0; q2 = 0; q3 = 0; q4 = 0; q5 = 0;
	end,
};
mike3 = obj {
	nam = 'Майкл';
    inv =  [[- Майкл, мне нужна твоя помощь.
    ^- Конечно, Ричард. Что нужно сделать?]];
};
july3 = obj {
	nam = 'Джулия';
    inv = function()
    if q2 == 0 then p[[- Джулия, ты у нас самая ловкая?
    ^- Ну, да, а что тебе нужно?]]; 
    else if q2 == 1 then p[[Джулия с интересом рассматривала пистолет. ^Ей нравилось держать в руках оружие.]];
    end;end;
    end;
};
kate3 = obj {
	nam = 'Кейт';
     inv = function()
    if q3 == 0 then p[[- Кейт, мне нужна твоя наблюдательность.
    ^- Хорошо, если найду что-нибудь, скажу тебе.]];
    else  if q3 == 1 then p[[Кейт рассматривала в руках электронную карточку: ^- Уверена, она нам ещё пригодится...]];
    else p[[- Как ды догадался про статуи? - спросила Кейт.
    ^- Люблю играть в квесты, - ответил я ей.]];end;end;
    end;
};
door4 = obj {
	nam = 'Дверь';
    dsc = 'Мы оказались в каком-то подвале. Путь нам преграждала массивная {дверь}.';
    act = 'Замок был сломан. Впрочем, сама дверь казалась довольно ветхой.';
    used = function(s,w)
    if w == mike3 then p[[Майкл разбежался и выбил плечом дверь. Мы оказались в тоннеле.]]; 
    goto('loc26'); end; 
    if w == july3 then p[[- Я не знаю, как открыть эту дверь, - сказала Джулия.]];end; 
    if w == kate3 then p[[- Я не вижу здесь ничего необычного, - сказала Кейт.]];end; 
    end;
};
loc25 = room {
    pic = 'data/22.jpg',
	nam = "Подвал";
	obj = {door4;
	};
	enter = function()
	inv():add('mike3'); inv():add('july3'); inv():add('kate3');
	set_music('data/4.ogg');
	end,
};
loc26 = room {
    pic = 'data/23.jpg',
	nam = "Тоннель";
	obj = {
	vway("a1", "Мы могли идти на {север} ", 'loc29'),
	vway("a1", "или на {юг}. ", 'loc27'),
	};
	enter = function()
	set_music('data/14.ogg');
	end,
};
hole = obj{
     nam = 'дыра';
     dsc = 'В стене под трубами виднелась {дыра}.';
     act = 'Я не смог туда пролезть.';
    used = function(s,w)
    if w == mike3 then p[[- Нет, я туда просто не пролезу, - сказал Майкл.]]; end; 
    
    if w == july3 then 
    if q2 == 0 then goto('help2'); else 
    p[[-  Нет, больше я туда не полезу, - сказала Джулия.]];end;end;
     
    if w == kate3 then p[[- Я не полезу туда, даже не уговаривай, - сказала Кейт.]];end; 
    end;
     
};
loc27 = room {
    pic = 'data/25.jpg',
	nam = "Насосная";
	obj = {hole,
	vway("a1", "^Мы могли идти на {север} ", 'loc26'),
	vway("a1", "или на {юг}. ", 'loc28'),
	};
	enter = function()
	set_music('data/14.ogg');
	end,
};
help2 = room {
    pic = 'data/26.jpg',
	nam = "Дыра в стене";
	obj = {
	vway("a1", [[Джулия пролезла через  дыру в соседнее помещение и уже 
	через несколько минут вернулась обратно.
	^- Кажется, я нашла агента Джонсона. Точнее, то, что от него осталось. 
	Похоже, его съел гигантский паук. К счастью, я с ним не встретилась. 
	Зато  я нашла пистолет. Обойма почти полная. Одну пулю, видимо, Джонсон 
	пустил себе в голову. ^ Джулия оставила пистолет у себя. Мы пошли {дальше}.]], 'loc27'),
	};
	enter = function()
	q2 = 1;
	set_music('data/4.ogg');
	end,
};
obval = obj{
     nam = 'Обвал';
     dsc = [[В этой части тоннеля произошёл {обвал}.]];
     act = [[Камни, мусор, останки странных животных. Что здесь произошло?]];
     used = function(s,w)
    if w == mike3 then p[[- Мы не сможем разобрать эти завалы, - сказал Майкл.]]; end;   
    if w == july3 then p[[- Думаю, здесь была серьёзная бойня, - сказала Джулия.]];end;    
    if w == kate3 then 
    if q3 == 0 then p[[Кейт нашла среди обломков электронную карточку. 
    ^И как ей это удаётся?]]; q3 = 1; 
    else p[[- Больше там нет ничего интересного, - сказала Кейт.]];end; end; 
    end;
};
loc28 = room {
    pic = 'data/27.jpg',
	nam = "Обвал";
	obj = {obval,
	vway("a1", "^Мы могли вернуться на {север}.", 'loc27'),
	};
	enter = function()
	set_music('data/14.ogg');
	end,
};
wall = obj{
     nam = 'стена';
     dsc = [[Проход был заложен {стеной} из кирпича.]];
    act = function()
    if q1 < 2 then p[[Пройти невозможно.]]; 
    else p[[Мы прошли через трещину в стене.]]; goto('loc30'); end;
    end; 
    used = function(s,w)
    if w == mike3 then p[[- Нам надо попасть внутрь, - сказал Майкл.]]; end;   
    if w == july3 then p[[- Интересно, что там, за стеной, - сказала Джулия.]];end;    
    if w == kate3 then p[[- Мы должны проникнуть туда, - сказала Кейт.]]; end; 
    end;
};
fuel = obj{
     nam = 'бочка с горючим';
     dsc = [[Возле нас стояла {бочка} с горючим.]];
     act = 'Она слишком тяжёлая.';
     used = function(s,w)    
    if w == mike3 then 
    if q1 == 0 then q1 = 1; p[[Мы с Майклом оттащили бочку к кирпичной стене.]]; 
    fuel.dsc = 'Вдалеке от нас стояла {бочка} с горючим.';
    else p[[- Я сделал всё, что мог, - сказал Майкл.]];end;end;  
     
    if w == july3 then 
    if q2 == 1 then 
      if q1 == 1 then 
    p[[- Надеюсь, я не промахнусь, - сказала Джулия. Прицелившись, она выстрелила в бочку.
     Раздался взрыв. В стене образовался проход.]]; q1 = 2; objs():del('fuel'); set_sound('data/15.ogg');
      else p[[- Мы взорвёмся, если я выстрелю в бочку, - сказала Джулия. ]];end; 
    else p[[- Я не знаю, что делать с этой бочкой, - сказала Джулия.]]end; end;  
     
    if w == kate3 then p[[- В этой бочке взрывоопасное горючее, - сказала Кейт.]]; end; 
    end;
};
loc29 = room {
    pic = function()
    if q1 == 0 then return('data/28.jpg');end;
    if q1 == 1 then return('data/29.jpg');end;
    if q1 == 2 then return('data/30.jpg');end;
    end;
	nam = "Тупик";
	obj = {wall, fuel,
	vway("a1", "Мы могли идти на {юг}.", 'loc26'),
	};
	enter = function()
	set_music('data/14.ogg');
	end,
};
st3 = obj{
    nam = 'статуя';
    dsc = 'Возле входа возвышалась мраморная {статуя}.';
    act = [[На табличке было написано: ^"Немезида - богиня будущего (2 век до н.э.)"]];
    used = function(s,w)
    if w == mike3 then p[[- Я не могу её сдвинуть, - сказал Майкл.]]; end;   
    if w == july3 then p[[- Я видела похожую статую в особняке, - сказала Джулия.]];end;    
    if w == kate3 then p[[- Я видела похожую статую в оранжерее, - сказала Кейт.]]; end; 
    end;
};
loc30 = room {
    pic = 'data/31.jpg';
	nam = "Секретная база";
	obj = {st3,
	vway("a1", "Мы могли идти в {лабораторию},", 'loc32'),
	vway("a1", "к {арсеналу} ", 'loc31'),
	vway("a1", "или обратно в {тоннель}.", 'loc29'),
	};
	enter = function()
	set_music('data/13.ogg');
	if q3 == 2 then q3 = 3;end;
	end,
};
grenade = obj{
     nam = 'гранатомёт';
     inv = 'Гранатомёт - всегда мечтал о таком.';
     use = function(s,w)
     if w == boss then goto('loc35'); else p[[Я должен беречь боеприпасы.]];end;
     end;
};
arsenal = obj{
    nam = 'арсенал';
    dsc = [[В дальнем конце арсенала стоял металлический {контейнер}.]];
    act = function()
    if q4 == 2 then p[[Больше там ничего нет.]];end;
    if q4 == 1 then p[["Доступ разрешён" - высветилась надпись на открытом контейнере. 
    Я достал из него гранатомёт.]]; inv():add('grenade');q4 = 2;end;
    if q4 == 0 then p[[На электронной панели высветилась надпись: "Отказано в доступе".]];end;
    end;
    
    used = function(s,w)
    if w == mike3 then p[[- Мне его не сдвинуть, - сказал Майкл.]]; end;   
    if w == july3 then p[[- Отличное хранилище для оружия, - сказала Джулия.]];end;    
    if w == kate3 then p[[- Похоже, замок на дистанционном управлении, - сказала Кейт.]]; end; 
    end;
};
loc31 = room {
    pic = 'data/32.jpg';
	nam = "Арсенал";
	obj = {arsenal,
	vway("a1", "Мы могли вернуться {обратно}.", 'loc30'),
	};
	enter = function()
	set_music('data/13.ogg');
	end,
};
luk = obj{
    nam = 'люк';
    dsc = 'В потолке мы заметили {люк}.';
    act = [[Люк был закрыт. Табличка на стене сообщала: "Запасные выходы открываются 
    только в аварийной ситуации".]];
    used = function(s,w)
    if w == mike3 then p[[- Нам не открыть его, - сказал Майкл.]]; end;   
    if w == july3 then p[[- Нам не открыть его, - сказала Джулия.]];end;    
    if w == kate3 then p[[- Нам не открыть его, - сказала Кейт.]]; end; 
    end;
};
computer = obj{
    nam = 'панель';
    dsc = [[Огромные массивные {ворота} встали у нас на пути.]];
    act = [[Возле ворот стоял компьютерный терминал. ^На экране было написано:
     "Вставьте карту доступа".]];
   used = function(s,w)
    if w == mike3 then p[[- Возможно, за дверью наше спасение, - сказал Майкл.]]; end;   
    if w == july3 then p[[- Возможно, за дверью наша смерть, - сказала Джулия.]];end;    
    if w == kate3 then 
       if q3 == 2 then p[[- Сейчас решается наша судьба, - сказала Кейт.]];end;
       if q3 == 1 then q3 = 2; goto('password'); end;
       if q3 == 0 then p[[- У нас нет карты доступа, - сказала Кейт.]];end;
    end;   
        
    end;
};
loc32 = room {
    pic = 'data/33.jpg';
	nam = "Вход в лабораторию";
	obj = {computer,luk,
	vway("a1", "Мы могли вернуться {обратно}.", 'loc30'),
	};
	enter = function()
    if q3 == 2 then p[[Пароль подошёл. Ворота с грохотом открылись.]];
    inv():add('mike3');inv():add('july3');inv():add('kate3'); end;
	set_music('data/13.ogg');
	end,
};
n1 = obj{
    nam = 'кнопка';
    dsc = '{1}  ';
    act = function()
    pas1 = 1;
    pas2 = pas2 + 1;
    if (pas2 == 1) and (pas1 == 4) then pas3 = pas3 +1;end;
    if (pas2 == 2) and (pas1 == 7) then pas3 = pas3 +1;end;
    if pas2 < 3 then p[[Я набрал "1".]];end;
    if (pas2 == 3) and (pas1 == 2) then pas3 = pas3 +1;end;
    if pas2 == 3 then if pas3 == 3
         then goto('loc32'); q3 = 2;
         else q1 = 3;goto('end1'); end;end;
    end;
};
n2 = obj{
    nam = 'кнопка';
    dsc = '{2}  ';
    act = function()
    pas1 = 2;
    pas2 = pas2 + 1;
    if (pas2 == 1) and (pas1 == 4) then pas3 = pas3 +1;end;
    if (pas2 == 2) and (pas1 == 7) then pas3 = pas3 +1;end;
    if pas2 < 3 then p[[Я набрал "2".]];end;
    if (pas2 == 3) and (pas1 == 2) then pas3 = pas3 +1;end;
    if pas2 == 3 then if pas3 == 3
         then goto('loc32'); q3 = 2;
         else q1 = 3;goto('end1'); end;end;
    end;
};
n3 = obj{
    nam = 'кнопка';
    dsc = '{3}  ';
    act = function()
    pas1 = 3;
    pas2 = pas2 + 1;
    if (pas2 == 1) and (pas1 == 4) then pas3 = pas3 +1;end;
    if (pas2 == 2) and (pas1 == 7) then pas3 = pas3 +1;end;
    if pas2 < 3 then p[[Я набрал "3".]];end;
    if (pas2 == 3) and (pas1 == 2) then pas3 = pas3 +1;end;
    if pas2 == 3 then if pas3 == 3
         then goto('loc32'); q3 = 2;
         else q1 = 3;goto('end1'); end;end;
    end;
};
n4 = obj{
    nam = 'кнопка';
    dsc = '{4}  ';
   act = function()
    pas1 = 4;
    pas2 = pas2 + 1;
    if (pas2 == 1) and (pas1 == 4) then pas3 = pas3 +1;end;
    if (pas2 == 2) and (pas1 == 7) then pas3 = pas3 +1;end;
    if pas2 < 3 then p[[Я набрал "4".]];end;
    if (pas2 == 3) and (pas1 == 2) then pas3 = pas3 +1;end;
    if pas2 == 3 then if pas3 == 3
         then goto('loc32'); q3 = 2;
         else q1 = 3;goto('end1'); end;end;
    end;
};
n5 = obj{
    nam = 'кнопка';
    dsc = '{5}  ';
    act = function()
    pas1 = 5;
    pas2 = pas2 + 1;
    if (pas2 == 1) and (pas1 == 4) then pas3 = pas3 +1;end;
    if (pas2 == 2) and (pas1 == 7) then pas3 = pas3 +1;end;
    if pas2 < 3 then p[[Я набрал "5".]];end;
    if (pas2 == 3) and (pas1 == 2) then pas3 = pas3 +1;end;
    if pas2 == 3 then if pas3 == 3
         then goto('loc32'); q3 = 2;
         else q1 = 3;goto('end1'); end;end;
    end;
};
n6 = obj{
    nam = 'кнопка';
    dsc = '{6}  ';
    act = function()
    pas1 = 6;
    pas2 = pas2 + 1;
    if (pas2 == 1) and (pas1 == 4) then pas3 = pas3 +1;end;
    if (pas2 == 2) and (pas1 == 7) then pas3 = pas3 +1;end;
    if pas2 < 3 then p[[Я набрал "6".]];end;
    if (pas2 == 3) and (pas1 == 2) then pas3 = pas3 +1;end;
    if pas2 == 3 then if pas3 == 3
         then goto('loc32'); q3 = 2;
         else q1 = 3;goto('end1'); end;end;
    end;
};
n7 = obj{
    nam = 'кнопка';
    dsc = '{7}  ';
    act = function()
    pas1 = 7;
    pas2 = pas2 + 1;
    if (pas2 == 1) and (pas1 == 4) then pas3 = pas3 +1;end;
    if (pas2 == 2) and (pas1 == 7) then pas3 = pas3 +1;end;
    if pas2 < 3 then p[[Я набрал "7".]];end;
    if (pas2 == 3) and (pas1 == 2) then pas3 = pas3 +1;end;
    if pas2 == 3 then if pas3 == 3
         then goto('loc32'); q3 = 2;
         else q1 = 3;goto('end1'); end;end;
    end;
};
n8 = obj{
    nam = 'кнопка';
    dsc = '{8}  ';
    act = function()
    pas1 = 8;
    pas2 = pas2 + 1;
    if (pas2 == 1) and (pas1 == 4) then pas3 = pas3 +1;end;
    if (pas2 == 2) and (pas1 == 7) then pas3 = pas3 +1;end;
    if pas2 < 3 then p[[Я набрал "8".]];end;
    if (pas2 == 3) and (pas1 == 2) then pas3 = pas3 +1;end;
    if pas2 == 3 then if pas3 == 3
         then goto('loc32'); q3 = 2;
         else q1 = 3;goto('end1'); end;end;
    end;
};
n9 = obj{
    nam = 'кнопка';
    dsc = '{9}  ';
    act = function()
    pas1 = 9;
    pas2 = pas2 + 1;
    if (pas2 == 1) and (pas1 == 4) then pas3 = pas3 +1;end;
    if (pas2 == 2) and (pas1 == 7) then pas3 = pas3 +1;end;
    if pas2 < 3 then p[[Я набрал "9".]];end;
    if (pas2 == 3) and (pas1 == 2) then pas3 = pas3 +1;end;
    if pas2 == 3 then if pas3 == 3
         then goto('loc32');
         else q1 = 3;goto('end1'); end;end;
    end;
};
gates2 = obj{
    nam = 'Ворота';
    dsc = [[Огромные массивные {ворота} были открыты.]];
    act = function()
    goto('loc33');
    end;
    used = function(s,w)
    if w == mike3 then p[[- Возможно, за дверью наше спасение, - сказал Майкл.]]; end;   
    if w == july3 then p[[- Возможно, за дверью наша смерть, - сказала Джулия.]];end;    
    if w == kate3 then  p[[- Сейчас решается наша судьба, - сказала Кейт.]];end;
    end;   
};
password = room {
    pic = 'data/34.jpg';
	nam = "Терминал управления";
	dsc = [[Кейт вставила карту доступа. ^На экране появилась надпись: "Введите пароль".]];
	obj = {n1,n2,n3,n4,n5,n6,n7,n8,n9, };
	enter = function()  q4 = 1;
	objs('loc32'):del('computer');objs('loc32'):add('gates2',1);
	inv():del('mike3'); inv():del('july3'); inv():del('kate3');
	set_music('data/4.ogg');
	end,
};
loc33 = room {
    pic = 'data/35.jpg';
	nam = "Лаборатория";
	obj = {
	vway("a1", [[Мы вошли в лабораторию. Похоже, эксперименты, которые здесь 
	проводились, вышли из-под контроля. Кейт вдруг что-то заметила:
	"Смотрите, это же кейс!" ^Она подбежала к установке и схватила чемоданчик. 
	^"Стой!" - крикнул я ей, но было уже {поздно}.]], 'loc34'),
	};
	enter = function() 
	inv():del('mike3');inv():del('july3');inv():del('kate3');
	set_music('data/4.ogg');
	end,
};
boss = obj{
    nam = 'босс';
    dsc = [[Внезапно завыла сирена. Раздалось сообщение:
    - Внимание! Тревога! Проследуйте к аварийным выходам!"
    ^И тут же лабораторию сотряс жуткий рёв. Перед нами появился
    ужасающий монстр.
    ^- Бегите. Я отвлеку его! - крикнул я остальным.
    ^Смертоносный {монстр} начал приближаться.]];
    act = function()
    q1 = 4;
    goto('end1');
    end;
};
loc34 = room {
    pic = 'data/36.jpg';
	nam = "Лаборатория";
	obj = {boss,};
	enter = function()
	set_music('data/5.ogg');
	end,
};
loc35 = room {
    pic = 'data/37.jpg';
	nam = "Побег";
	obj = {
	vway("a1", [[Охваченный огнём монстр покачнулся и рухнул, 
	но уже через мгновение начал вставать.
	^Собрав последние силы, я выбежал из лаборатории. Меня ждали друзья. 
	Аварийный люк был открыт. Мне подали руку, и мы начали подниматься {наверх}.]], 'loc36'),
	};
	enter = function()
	set_music('data/5.ogg');inv():del('grenade');set_sound('data/16.ogg');
	end,
};
loc36 = room {
    pic = 'data/38.jpg';
	nam = "Конец";
	dsc =[[Мы поднялись на крышу. В воздухе висел вертолёт. 
	Увидев кейс, агент Форд одобрительно кивнул и сбросил нам верёвочную лестницу. 
	Мы забрались в вертолёт. Агент Форд произнёс:
	^- Ребятки, вы оказали правительству неоценимую услугу. Вы настоящие герои!
	^- Это всё Майкл. Без него ничего бы не вышло.
	^- А без помощи Кейт мы бы просто пропали.
	^- Джулия вообще спасла нам жизнь.
	^- И всё же круче всех был Ричард.
	^Мы дружно смеялись. Вертолёт уносил нас прочь, к свободе.]];
	enter = function()
	set_music('data/1.ogg');
	end,
};
